aboutsummaryrefslogtreecommitdiff
path: root/www/firefox10/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'www/firefox10/pkg-deinstall.in')
-rw-r--r--www/firefox10/pkg-deinstall.in23
1 files changed, 23 insertions, 0 deletions
diff --git a/www/firefox10/pkg-deinstall.in b/www/firefox10/pkg-deinstall.in
new file mode 100644
index 000000000000..3fe1644fc054
--- /dev/null
+++ b/www/firefox10/pkg-deinstall.in
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components/*.dat
+rm -rf ${MOZDIR}/extensions
+
+exit 0